## openglad-0.98 p20200907

=== debian/changelog ===
openglad (1.0-3) precise; urgency=low

  * Release after dormancy!

 -- Openglad Project <openglad@openglad.org>  Thu, 17 Oct 2013 00:43:17 +0100
