=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	# $(MAKE)
	bash keep_trying.sh timeout -k 5 60 xvfb-run codeblocks --build $(CURDIR)/cb_Openglad.cbp
	echo "DONE BUILDING OPENGLAD"
	#docbook-to-man debian/testapp.sgml > testapp.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	# $(MAKE) clean
	bash keep_trying.sh timeout -k 5 60 xvfb-run codeblocks --clean $(CURDIR)/cb_Openglad.cbp
	echo "DONE CLEANING OPENGLAD"

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/testapp.
	# $(MAKE) DESTDIR=$(CURDIR)/debian/testapp install
	cp $(CURDIR)/openglad $(CURDIR)/debian/openglad/usr/games
	cp -r $(CURDIR)/pix $(CURDIR)/debian/openglad/usr/share/openglad
	cp -r $(CURDIR)/sound $(CURDIR)/debian/openglad/usr/share/openglad
	cp -r $(CURDIR)/cfg $(CURDIR)/debian/openglad/usr/share/openglad
	cp -r $(CURDIR)/builtin $(CURDIR)/debian/openglad/usr/share/openglad



# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
